#include "${PrjName}Document.h"
#include "${PrjName}Application.h"

// UID for the application, this should correspond to the uid defined in the mmp
// file. The UIDs from the 0x00000001 - 0x0FFFFFFF range are development UIDs
// which can be used internally but must not appear in release software. Other
// UIDs can be obtained from Symbian
static const TUid KUid${PrjName}App = {${UID}};

// the framework will call this function to obtain a new document object
CApaDocument *C${PrjName}Application::CreateDocumentL()
{  
    // Create an ${PrjName} document, and return a pointer to it
    CApaDocument *document = C${PrjName}Document::NewL(*this);
    return document;
}

// returns the application UID
TUid C${PrjName}Application::AppDllUid() const
{
    // Return the UID for the HelloWorld application
    return KUid${PrjName}App;
}
